sru curtin 2018-05-18 - 18.1-17-gae48e86f-0ubuntu1

Bug #1772044 reported by Ryan Harper on 2018-05-18
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
curtin (Ubuntu)
Undecided
Unassigned
Nominated for Artful by Chad Smith
Nominated for Bionic by Chad Smith
Nominated for Xenial by Chad Smith
Xenial
Undecided
Unassigned
Artful
Undecided
Unassigned
Bionic
Undecided
Unassigned

Bug Description

== Begin SRU Template ==
[Impact]
This release sports both bug-fixes and new features and we would like to
make sure all of our supported customers have access to these improvements.
The notable ones are:

  * zfs: implement a supported check to handle i386 (LP: #1768709)
  * Support mount entries not tied to a device, including bind and tmpfs.
    (LP: #1767979)
  * block/clear_holders/mdadm: refactor handling of layered device wiping
    (LP: #1768893, #1769742)
  * clear_holders: only export zpools that have been imported (LP: #1770280)
  * util.get_efibootmgr: filter bootorder by found entries (LP: #1767584)
  * make_dname for bcache should use backing device uuid (LP: #1728742)
  * zfsroot: add additional checks, do not require disk 'serial' attribute
    (LP: #1760879, #1760880)

See the changelog entry below for a full list of changes and bugs.

[Test Case]
The following development and SRU process was followed:
https://wiki.ubuntu.com/CurtinUpdates

Curtin now contains an extensive integration test suite that is ran using
the SRU package for each releases. These suite has documentation here:
https://curtin.readthedocs.io/en/latest/topics/integration-testing.html

In order to avoid regression to existing MAAS product, the MAAS team will
run their continuous integration test against the curtin that is in
-proposed. A successful run will be required before the proposed curtin
can be let into -updates.

The curtin team will be in charge of attaching the artifacts and console
output of the appropriate run to the bug. Curtin team members will not
mark ‘verification-done’ until this has happened.

[Regression Potential]
In order to mitigate the regression potential, the results of the
aforementioned integration tests are attached to this bug.

curtin-proposed test artifacts:
 * see attached xenial artifacts
 * see attached artful artifacts
 * see attached bionic artifacts

maas-proposed test artifacts (LTS only):
 * see attached maas qa results for xenial
 * see attached maas qa results for bionic

[Discussion]

== End SRU Template ==

Full Changelog of upstream is below.

    - tools: jenkins-runner show curtin version in output.
    - zfs: implement a supported check to handle i386 (LP: #1768709)
    - Support mount entries not tied to a device, including bind and tmpfs.
      (LP: #1767979)
    - block/clear_holders/mdadm: refactor handling of layered device wiping
      (LP: #1768893, #1769742)
    - clear_holders: only export zpools that have been imported (LP: #1770280)
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries (LP: #1767584)
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
      (LP: #1760879, #1760880)

Related branches

Hello Ryan, or anyone else affected,

Accepted curtin into bionic-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/curtin/18.1-17-gae48e86f-0ubuntu1~18.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-bionic to verification-done-bionic. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-bionic. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in curtin (Ubuntu Bionic):
status: New → Fix Committed
tags: added: verification-needed verification-needed-bionic
Changed in curtin (Ubuntu Artful):
status: New → Fix Committed
tags: added: verification-needed-artful
Łukasz Zemczak (sil2100) wrote :

Hello Ryan, or anyone else affected,

Accepted curtin into artful-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/curtin/18.1-17-gae48e86f-0ubuntu1~17.10.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-artful to verification-done-artful. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-artful. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in curtin (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed-xenial
Łukasz Zemczak (sil2100) wrote :

Hello Ryan, or anyone else affected,

Accepted curtin into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/curtin/18.1-17-gae48e86f-0ubuntu1~16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested and change the tag from verification-needed-xenial to verification-done-xenial. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-xenial. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Ryan Harper (raharper) wrote :
Ryan Harper (raharper) wrote :
Ryan Harper (raharper) wrote :
Ryan Harper (raharper) wrote :
Ryan Harper (raharper) wrote :
description: updated
Ryan Harper (raharper) on 2018-05-24
summary: - sru curtin 2018-05-18 - 18.1-16-g18835845-0ubuntu1
+ sru curtin 2018-05-18 - 18.1-17-gae48e86f-0ubuntu1
Andres Rodriguez (andreserl) wrote :

From the MAAS perspective, we can confirm that 18.1-17-gae48e86f-0ubuntu1 doesn't show any regressions in bionic.

Andres Rodriguez (andreserl) wrote :

From the MAAS perspective, we can confirm that 18.1-17-gae48e86f-0ubuntu1 doesn't show any regressions in xenial.

Ryan Harper (raharper) on 2018-05-24
description: updated
tags: added: verification-done verification-done-artful verification-done-bionic verification-done-xenial
removed: verification-needed verification-needed-artful verification-needed-bionic verification-needed-xenial
Dmitrii Shcherbakov (dmitriis) wrote :

I have performed a verification of #1728742 on 2.3.0 (6434-gd354690-0ubuntu1~16.04.1) with curtin added from xenial-proposed (18.1-17-gae48e86f-0ubuntu1~16.04.1) on a MAAS node as it is delivered by MAAS to an ephemeral image. Links were created correctly for the following cases:

1) xenial with the latest 4.4 GA kernel (see the attachment) - first boot and subsequent reboots are handled correctly;
2) bionic with the latest 4.15 GA kernel after an upgrade from xenial (as in p.1);
3) bionic 4.15 GA kernel.

In all cases, Ubuntu kernels were new enough to contain the "sause" patch from #1729145 to correctly emit the necessary uevents during cold boot. bcache-tools with a user-space workaround was not used and the package came directly from main (bcache-tools: Installed: 1.0.8-2).

The verification of the Stable Release Update for curtin has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 18.1-17-gae48e86f-0ubuntu1~17.10.1

---------------
curtin (18.1-17-gae48e86f-0ubuntu1~17.10.1) artful; urgency=medium

  * New upstream snapshot. (LP: #1772044)
    - tests: replace usage of mock.assert_called
    - tools: jenkins-runner show curtin version in output.
    - zfs: implement a supported check to handle i386
    - Support mount entries not tied to a device, including bind and tmpfs.
    - block/clear_holders/mdadm: refactor handling of layered device wiping
    - clear_holders: only export zpools that have been imported
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
    - clear-holders: fix lvm name use when shutting down
    - install: prevent unmount: disabled from swallowing installation failures
    - vmtest: bionic images no longer use the vlan package
    - pycodestyle: Fix invalid escape sequences in string literals.

 -- Ryan Harper <email address hidden> Fri, 18 May 2018 14:01:58 -0500

Changed in curtin (Ubuntu Artful):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 18.1-17-gae48e86f-0ubuntu1~16.04.1

---------------
curtin (18.1-17-gae48e86f-0ubuntu1~16.04.1) xenial; urgency=medium

  * New upstream snapshot. (LP: #1772044)
    - tests: replace usage of mock.assert_called
    - tools: jenkins-runner show curtin version in output.
    - zfs: implement a supported check to handle i386
    - Support mount entries not tied to a device, including bind and tmpfs.
    - block/clear_holders/mdadm: refactor handling of layered device wiping
    - clear_holders: only export zpools that have been imported
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute
    - clear-holders: fix lvm name use when shutting down
    - install: prevent unmount: disabled from swallowing installation failures
    - vmtest: bionic images no longer use the vlan package
    - pycodestyle: Fix invalid escape sequences in string literals.

 -- Ryan Harper <email address hidden> Fri, 18 May 2018 14:11:34 -0500

Changed in curtin (Ubuntu Xenial):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package curtin - 18.1-17-gae48e86f-0ubuntu1~18.04.1

---------------
curtin (18.1-17-gae48e86f-0ubuntu1~18.04.1) bionic; urgency=medium

  * New upstream snapshot. (LP: #1772044)
    - tests: replace usage of mock.assert_called
    - tools: jenkins-runner show curtin version in output.
    - zfs: implement a supported check to handle i386
    - Support mount entries not tied to a device, including bind and tmpfs.
    - block/clear_holders/mdadm: refactor handling of layered device wiping
    - clear_holders: only export zpools that have been imported
    - vmtests: allow env control of apt, system_upgrade, package upgrade
    - util.get_efibootmgr: filter bootorder by found entries
    - vmtests: adjust lvm_iscsi dnames to match configuration
    - vmtest: always boot with BOOTIF and ip=:::::BOOTIF:dhcp
    - make_dname for bcache should use backing device uuid
    - zfsroot: add additional checks, do not require disk 'serial' attribute

 -- Ryan Harper <email address hidden> Fri, 18 May 2018 13:58:58 -0500

Changed in curtin (Ubuntu Bionic):
status: Fix Committed → Fix Released
To post a comment you must log in.